Skip to content

Create an article

Request

You can create a new article by making a POST request to https://api.intercom.io/articles.

📘 Tags cannot be managed via the Articles API

Article tags are read-only in responses. To create, update, or delete tags, use the Intercom UI or the Tags API endpoints.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.14"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.14
Bodyapplication/json
titlestringrequired

The title of the article.For multilingual articles, this will be the title of the default language's content.

Example:"Thanks for everything"
descriptionstring

The description of the article. For multilingual articles, this will be the description of the default language's content.

Example:"Description of the Article"
bodystring

The content of the article. For multilingual articles, this will be the body of the default language's content.

Example:"<p>This is the body in html</p>"
author_idintegerrequired

The id of the author of the article. For multilingual articles, this will be the id of the author of the default language's content. Must be a teammate on the help center's workspace.

Example:1295
statestring

Whether the article will be published or will be a draft. Defaults to draft. For multilingual articles, this will be the state of the default language's content.

Enum:"published""draft"
Example:"draft"
parent_idinteger

The id of the article's parent collection or section. An article without this field stands alone.

Example:18
parent_typestring

The type of parent, which can either be a collection or section.

Example:"collection"
translated_contentobject or null(Article Translated Content)

The Translated Content of an Article. The keys are the locale codes and the values are the translated content of the article.

curl -i -X POST \
  https://api.intercom.io/articles \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.14' \
  -d '{
    "title": "Thanks for everything",
    "description": "Description of the Article",
    "body": "Body of the Article",
    "author_id": 991267497,
    "state": "published",
    "parent_id": 145,
    "parent_type": "collection",
    "translated_content": {
      "fr": {
        "title": "Merci pour tout",
        "description": "Description de l'\''article",
        "body": "Corps de l'\''article",
        "author_id": 991267497,
        "state": "published"
      }
    }
  }'

Responses

article created

Bodyapplication/json
typestring

The type of object - article.

Default:"article"
Value:"article"
Example:"article"
idstring

The unique identifier for the article which is given by Intercom.

Example:"6871119"
workspace_idstring

The id of the workspace which the article belongs to.

Example:"hfi1bx4l"
titlestring

The title of the article. For multilingual articles, this will be the title of the default language's content.

Example:"Default language title"
descriptionstring or null

The description of the article. For multilingual articles, this will be the description of the default language's content.

Example:"Default language description"
bodystring or null

The body of the article in HTML. For multilingual articles, this will be the body of the default language's content.

Example:"Default language body in html"
author_idinteger

The id of the author of the article. For multilingual articles, this will be the id of the author of the default language's content. Must be a teammate on the help center's workspace.

Example:"5017691"
statestring

Whether the article is published or is a draft. For multilingual articles, this will be the state of the default language's content.

Default:"draft"
Enum:"published""draft"
Example:"published"
created_atinteger, (date-time)

The time when the article was created. For multilingual articles, this will be the timestamp of creation of the default language's content in seconds.

Example:1672928359
updated_atinteger, (date-time)

The time when the article was last updated. For multilingual articles, this will be the timestamp of last update of the default language's content in seconds.

Example:1672928610
urlstring or null

The URL of the article. For multilingual articles, this will be the URL of the default language's content.

Example:"http://intercom.test/help/en/articles/3-default-language"
parent_idinteger or null

The id of the article's parent collection or section. An article without this field stands alone.

Example:"125685"
parent_idsArray of integers

The ids of the article's parent collections or sections. An article without this field stands alone.

Example:
[ 18, 19 ]
parent_typestring or null

The type of parent, which can either be a collection or section.

Example:"collection"
default_localestring

The default locale of the help center. This field is only returned for multilingual help centers.

Example:"en"
translated_contentobject or null(Article Translated Content)

The Translated Content of an Article. The keys are the locale codes and the values are the translated content of the article.

tagsobject(Tags)

A list of tags objects associated with a conversation

statisticsobject or null(Article Statistics)

The statistics of an article.

Response
{ "id": "42", "type": "article", "workspace_id": "this_is_an_id68_that_should_be_at_least_4", "parent_id": 145, "parent_type": "collection", "parent_ids": [], "statistics": { "type": "article_statistics", "views": 0, "conversations": 0, "reactions": 0, "happy_reaction_percentage": 0, "neutral_reaction_percentage": 0, "sad_reaction_percentage": 0 }, "tags": { "type": "tag.list", "tags": [] }, "title": "Thanks for everything", "description": "Description of the Article", "body": "<p class=\"no-margin\">Body of the Article</p>", "author_id": 991267497, "state": "published", "created_at": 1734537288, "updated_at": 1734537288, "url": "http://help-center.test/myapp-68/en/articles/42-thanks-for-everything" }